#include <iostream>
#include <iomanip>
using namespace std;
int main()
{
    int n,i=0;
    cin>>n;
    int a[n];
    double p[n],x=0,maks=0;
    for (i=0;i<n;i++) cin>>a[i]>>p[i];
    for(i=0;i<n;i++){
        for(int j=0;j<n;j++)
            if(p[j]>=p[i]) x+=p[i]*a[j]/100.0;
        if(x>maks) maks=x;
        x=0;
    }
    cout<<fixed<<setprecision(4)<<maks;
}